Skip to content
DocsTry Aspire
DocsTry

QueryTransformExtensions Methods

ClassMethods3 members
Extensions for adding query transforms.
WithTransformQueryRemoveKey(YarpRoute, string)Section titled WithTransformQueryRemoveKey(YarpRoute, string)extensionYarpRoute
Adds the transform that will remove the given query key.
public static class QueryTransformExtensions
{
public static YarpRoute WithTransformQueryRemoveKey(
this YarpRoute route,
string queryKey)
{
// ...
}
}
queryKeystring
WithTransformQueryRouteValue(YarpRoute, string, string, bool)Section titled WithTransformQueryRouteValue(YarpRoute, string, string, bool)extensionYarpRoute
Adds the transform that will append or set the query parameter from a route value.
public static class QueryTransformExtensions
{
public static YarpRoute WithTransformQueryRouteValue(
this YarpRoute route,
string queryKey,
string routeValueKey,
bool append = true)
{
// ...
}
}
queryKeystring
routeValueKeystring
appendbooloptional
WithTransformQueryValue(YarpRoute, string, string, bool)Section titled WithTransformQueryValue(YarpRoute, string, string, bool)extensionYarpRoute
Adds the transform that will append or set the query parameter from the given value.
public static class QueryTransformExtensions
{
public static YarpRoute WithTransformQueryValue(
this YarpRoute route,
string queryKey,
string value,
bool append = true)
{
// ...
}
}
queryKeystring
valuestring
appendbooloptional